<!DOCTYPE html>
<html lang="ja">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <title>Todo アプリ</title>
</head>
<body>
  <div class="container">
    <div class="card">
      <div class="card-header bg-success text-white text-center">新規登録</div>
      <div class="card-body bg-light">
        <form name="signup_form" onsubmit="signup();return false;">
          <div class="form-group">
            <label class="control-label card-title">メールアドレス</label>
            <input class="form-control" name="email" type="text">
          </div>
          <div class="form-group">
            <label class="control-label card-title">パスワード</label>
            <input class="form-control" type="text"  name="password">
          </div>
          <div class="form-group">
            <label class="control-label card-title">パスワード(確認)</label>
            <input class="form-control" type="text" name="password_c">
          </div>
          <button class="btn btn-success btn-lg mx-auto d-block" value="登録">送信</button>
        </form>
      </div>
    </div>
    <div>
      <br>
      <button class="btn btn-info btn-lg mx-auto d-block" onclick="location.href='login.html'">ログイン画面に戻る</button>
    </div>
  </div>
</body>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"  crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
<script>
function signup(){
  var email = document.signup_form.email.value;
  var pw1 = document.signup_form.password.value;
  var pw2 = document.signup_form.password_c.value;
  if (pw1 != pw2) {
    window.alert("パスワードが一致しませんでした");
    return;
  }
  $.ajax({
    type : "POST",
    url : "http://localhost:8080/signup",
    data : {email : email, password : pw1}
  }).then(
    function(){
      window.location.href = "index.html"
    },
    function(){
      window.alert("エラーが発生しました");
      window.location.href = "signup.html";
    }
  )
}
</script>
</html>
